import QtQuick 2.0
import Sailfish.Silica 1.0


Page
{
    id: page
    property string txt;
    property double lat;
    property double lon;
    property int zoom;

    zoom: 13

    SilicaWebView
    {
        id: webView
        anchors
        {
        top: parent.top
        left: parent.left
        right: parent.right
        bottom: row.top
        }
        url: "http://maps.googleapis.com/maps/api/staticmap?center=" + lat + "," + lon +"&zoom="+zoom+"&size=270x440&scale=2&sensor=false&key=AIzaSyCszxLHrdHfqQLdHQkqGcu7pkcl9LB4w4Q&markers=" + lat + "," + lon +""
    }
    Row
    {
        id: row
        spacing: Theme.paddingLarge
        anchors.horizontalCenter: parent.horizontalCenter
        anchors
        {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }
        Button
        {
            id: zoomin
            text: "Zoom in"
            onClicked:
            {
                zoom = zoom + 1
                urlField.text = zoom
                webView.url ="http://maps.googleapis.com/maps/api/staticmap?center=" + lat + "," + lon +"&zoom="+zoom+"&size=270x440&scale=2&sensor=false&key=AIzaSyCszxLHrdHfqQLdHQkqGcu7pkcl9LB4w4Q&markers=" + lat + "," + lon +""
                parent.focus = true
            }
        }
        Button
        {
            id: zoomout
            text: "Zoom out"
            onClicked:
            {
                zoom = zoom - 1
                urlField.text = zoom
                webView.url ="http://maps.googleapis.com/maps/api/staticmap?center=" + lat + "," + lon +"&zoom="+zoom+"&size=270x440&scale=2&sensor=false&key=AIzaSyCszxLHrdHfqQLdHQkqGcu7pkcl9LB4w4Q&markers=" + lat + "," + lon +""
                parent.focus = true
            }
        }
    }
}
